CARGO-UNINSTALL(1)

NAME
cargo-uninstall - Remove a Rust binary

SYNOPSIS

cargo uninstall [OPTIONS] [SPEC...]

DESCRIPTION

This command removes a package installed with cargo-install(1). The SPEC argument is a package ID specification of the package to remove (see cargo-pkgid(1)).

By default all binaries are removed for a crate but the --bin and --example flags can be used to only remove particular binaries.

The installation root is determined, in order of precedence:

    • --root option

    • CARGO_INSTALL_ROOT environment variable

    • install.root Cargo

    • CARGO_HOME environment variable

    • $HOME/.cargo

OPTIONS

  Install Options

-p, --package SPEC...
    Package to uninstall.

--bin NAME...
    Only uninstall the binary NAME.

--root DIR
    Directory to uninstall packages from.

  Display Options

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose

-q, --quiet
    No output printed to stdout.

--color WHEN
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color

  Common Options

-h, --help
    Prints help information.

-Z FLAG...
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT

See for details on environment variables that Cargo reads.

EXIT STATUS

0
    Cargo succeeded.

101
    Cargo failed to complete.

EXAMPLES

    1. Uninstall a previously installed package.

        cargo uninstall ripgrep

SEE ALSO

cargo(1), cargo-install(1)